// 需要登录的路由
export const router = [
  {
    path: '/orderDetail',
    name: 'orderDetail',
    component: () => import('@/views/order-detail/index'),
    meta: {
      title: '订单详情'
    }
  },
  {
    path: '/tradeDetail',
    name: 'tradeDetail',
    component: () => import('@/views/trade/trade-detail'),
    meta: {
      title: '交易详情'
    }
  }
]

// 不需要登录的路由
export const rootRouter = [
  {
    path: '/registerProtocol',
    name: 'registerProtocol',
    component: () => import('@/views/protocol/register'),
    meta: {
      title: '注册协议'
    }
  },
  {
    path: '/privacyProtocol',
    name: 'privacyProtocol',
    component: () => import('@/views/protocol/privacy'),
    meta: {
      title: '酷乐秀隐私政策'
    }
  }
]
