import ColResult from '@/components/col-result'
import { List } from 'vant'
import { defineComponent } from 'vue'
import styles from './music.module.less'

export default defineComponent({
  name: 'music',
  data() {
    return {
      list: [],
      dataShow: false, // 判断是否有数据
      loading: false,
      finished: false,
      params: {
        page: 1,
        rows: 20
      }
    }
  },
  render() {
    return (
      <>
        {this.dataShow ? (
          <List
            v-model:loading={this.loading}
            finished={this.finished}
            finishedText="没有更多了"
          ></List>
        ) : (
          <ColResult btnStatus={false} classImgSize="SMALL" tips="暂无乐谱" />
        )}
      </>
    )

    {
      /* <List
v-model:loading={this.loading}
finished={this.finished}
finishedText="没有更多了"
onLoad={this.getList}
>
{this.buyUserList.map(item => (
  <UserList class="mb12" users={item} />
))}
</List> */
    }
  }
})
