import { reactive } from 'vue'
type orderType = 'VIDEO' | 'LIVE' | 'PRACTICE' | 'GOODS' | 'VIP' | 'MUSIC'
export const orderStatus = reactive({
  orderType: '' as orderType, // 购买类型
  liveInfo: {} as any, // 直播购买信息
  videoInfo: {} as any, // 视频购买信息
  practiceInfo: {} as any, // 视频购买信息
  orderInfo: {
    // 订单信息
    orderNo: '',
    actualPrice: 0,
    payStatus: true
  }
})
